Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.index.quadtree
Class Node

    java.lang.Object
      com.vividsolutions.jts.index.quadtree.NodeBase
          com.vividsolutions.jts.index.quadtree.Node

All Implemented Interfaces:
  java.io.Serializable

    public class Node

extends NodeBase

Represents a node of a `Quadtree`. Nodes contain items which have a spatial extent corresponding to the node's position in the quadtree.

Version:
  1.7
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.vividsolutions.jts.index.quadtree.NodeBase
`items, subnode`

Constructor Summary
`Node(Envelope env, int level)`

Method Summary
`static Node` | `createExpanded(Node node, Envelope addEnv)`
`static Node` | `createNode(Envelope env)`
`NodeBase` | `find(Envelope searchEnv)` Returns the smallest existing node containing the envelope.
`Envelope` | `getEnvelope()`
`Node` | `getNode(Envelope searchEnv)` Returns the subquad containing the envelope `searchEnv`.
`protected boolean` | `isSearchMatch(Envelope searchEnv)`

Methods inherited from class com.vividsolutions.jts.index.quadtree.NodeBase
`add, addAllItems, addAllItemsFromOverlapping, getItems, getSubnodeIndex, hasChildren, hasItems, isEmpty, isPrunable, remove, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Node

    public Node(Envelope env,
                int level)

Method Detail

### createNode

    public static Node createNode(Envelope env)

### createExpanded

    public static Node createExpanded(Node node,
                                      Envelope addEnv)

### getEnvelope

    public Envelope getEnvelope()

### isSearchMatch

    protected boolean isSearchMatch(Envelope searchEnv)

  Specified by:
    `isSearchMatch` in class `NodeBase`

### getNode

    public Node getNode(Envelope searchEnv)

  Returns the subquad containing the envelope `searchEnv`. Creates the subquad if it does not already exist.

  Returns:
    the subquad containing the search envelope

### find

    public NodeBase find(Envelope searchEnv)

  Returns the smallest existing node containing the envelope.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD